Package org.drinkless.tdlib

# Class TdApi.ToggleSupergroupSignMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ToggleSupergroupSignMessages

Enclosing class:
  `TdApi`

public static class TdApi.ToggleSupergroupSignMessages extends TdApi.Function<TdApi.Ok>
Toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `showMessageSender`
  New value of showMessageSender.
  `boolean`
  `signMessages`
  New value of signMessages.
  `long`
  `supergroupId`
  Identifier of the channel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleSupergroupSignMessages()`
  Default constructor for a function, which toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.
  `ToggleSupergroupSignMessages(long supergroupId, boolean signMessages, boolean showMessageSender)`
  Creates a function, which toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### supergroupId

    public long supergroupId
    Identifier of the channel.

  - ### signMessages

    public boolean signMessages
    New value of signMessages.

  - ### showMessageSender

    public boolean showMessageSender
    New value of showMessageSender.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ToggleSupergroupSignMessages

    public ToggleSupergroupSignMessages()
    Default constructor for a function, which toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.

    Returns `Ok`

  - ### ToggleSupergroupSignMessages

    public ToggleSupergroupSignMessages(long supergroupId, boolean signMessages, boolean showMessageSender)
    Creates a function, which toggles whether sender signature or link to the account is added to sent messages in a channel; requires canChangeInfo member right.

    Returns `Ok`

    Parameters:
      `supergroupId` - Identifier of the channel.
      `signMessages` - New value of signMessages.
      `showMessageSender` - New value of showMessageSender.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR